/**
 * Created by yaohx_169 on 2017/6/6.
 */

export const cookie = {
  token: 'token',
  user: 'user',
  domain: 'domain',
};

export const storage = {
  userName: 'userName',
  domainName: 'domainName',
};

export const api = {
  userLogin: '/user/login',
  userLogout: '/user/logout',
  userInfo: '/userInfo',
  users: '/users',
  user: '/user/:id',
  dashboard: '/dashboard',
};

const defaultDateFormat = 'YYYY-MM-DD';
const defaultTimeFormat = 'HH:mm:ss';
const defaultDateTimeFormat = `${defaultDateFormat} ${defaultTimeFormat}`;

const config = {
  name: 'Jbpm Demo',
  footerText: '上海铂蓝信息科技有限公司',
  logo: '/logo.png',
  contextPath: '',
  defaultDateFormat,
  defaultTimeFormat,
  defaultDateTimeFormat,
  pubKey: '-----BEGIN PUBLIC KEY-----MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQC+/Rs6dYmdtETjHCZq4LF3QjLM/DocRAXrqtMULZf+579dAn+CiM8noLplZT/DRwvfK822eq8sypH+a4NqP7942pPVjOudVvKfiJvmm2TOQHvQ7vi3iyZVdlsxX72JNFo1Ocqwj48aIC/OJ4bMf/VyCKrmKrU2iXND+I4BN8cfhwIDAQAB-----END PUBLIC KEY-----',
};

export default config;
